--  Awesome Tower Defense
--  Copyright (C) 2008-2009  Trygve Vea and contributors (read AUTHORS)
--  Copyright (C) 2010 Sean Bolton

--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 2 of the License, or
--  (at your option) any later version.

--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.

--  You should have received a copy of the GNU General Public License along
--  with this program; if not, write to the Free Software Foundation, Inc.,
--  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

require("SDL")
require("td")
require("ubit")

dofile("settings.lua")
-- dofile("timers.lua")
dofile("render.lua")
dofile("eventloop.lua")
dofile("sprites.lua")

dofile("credits.lua")
dofile("cursor.lua")
dofile("game.lua")
dofile("gfx_buttons.lua")
dofile("gfx_charmap.lua")
dofile("highscores.lua")
dofile("level.lua")
dofile("menu.lua")
dofile("tutorial.lua")


print("======================================================\n" ..
      " AWESOME TOWER DEFENSE\n" ..
      "             by Trygve Vea <trygve.vea@gmail.com>\n" ..
      "======================================================")
-- if SDL.Init(ubit.bor(SDL.INIT_VIDEO, SDL.INIT_TIMER)) < 0 then
if SDL.Init(SDL.INIT_VIDEO) < 0 then
    print("SDL_Init failed :", SDL.GetError())
    os.exit(1)
end
init_video()
-- init_timers()
event_loop()
os.exit(0)

