--  Awesome Tower Defense
--  Copyright (C) 2008-2009  Trygve Vea and contributors (read AUTHORS)
--  Copyright (C) 2010 Sean Bolton
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 2 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License along
--  with this program; if not, write to the Free Software Foundation, Inc.,
--  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

money = 200
score = 0
lives = 1
moneytext = ""
scoretext = ""
lifetext = ""

iddqd_enabled = false
idkfa_enabled = false

function new_game()
    money = 250;
    score = 0;
    lives = 20;
    iddqd_enabled = false
    idkfa_enabled = false
    update_score(0)
    update_money(0)
    update_lives(0)
    load_level(background, currentlevel) -- -FIX- to support level selection hack
    reset_everything()
    current_screen = SCREEN_INGAME
    update_all()
end

function update_money(amount)
    if not idkfa_enabled then money = money + amount end
    if money < 0 then money = 0 end
    moneytext = string.format("money %6d", money)
    updateextent(96,420,96,8)
end
function update_score(amount)
    score = score + amount
    if score < 0 then score = 0 end
    scoretext = string.format("score %6d", score)
    updateextent(96,430,96,8)
end
function update_lives(amount)
    if not iddqd_enabled then lives = lives + amount end
    if lives < 0 then
        lives = 0
    end
    if lives == 0 then
        show_highscores(SCORE_LOSTMESSAGE)
        return
    end
    lifetext = string.format("lives %6d", lives)
    updateextent(96,440,96,8)
end
function have_money(amount)
    if idkfa_enabled then return true end
    if money >= amount then return true end
    return false
end
function draw_numbers()
    draw_text(screen,moneytext,3*32,420)
    draw_text(screen,scoretext,3*32,430)
    draw_text(screen,lifetext,3*32,440)
    draw_numbers2()  -- I _REALLY_ need to restructure the code of this app XD
end
function draw_highscore_stats()
    local line = string.format("you                         1     %2d   %6d", batch, score)
    draw_text(screen,line,104,152)
end

function iddqd()
    iddqd_enabled = true
    lives = 999
    update_lives(0)
end

function idkfa()
    idkfa_enabled = true
    money = 999999
    update_money(0)
end
